#include <bits/stdc++.h>

using namespace std;

int main () {
	double p,q,r,L,R;
	cin >> p >> q >> r >> L >> R;
	int br=0;
	while(L<=R) {
		if(ceil(L/p) + ceil(L/q) + ceil(L/r) <= L) {
			br++;
		}
		L++;
	}
	cout << br << endl;
}